JdbmPreparedTransactionStore (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.jdbm.JdbmPreparedTransactionStore class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbm
Class JdbmPreparedTransactionStore

    java.lang.Object
      org.codehaus.activemq.store.jdbm.JdbmPreparedTransactionStore

All Implemented Interfaces:
  PreparedTransactionStore, Service

public class JdbmPreparedTransactionStore
extends Object
implements PreparedTransactionStore

Version:
  $Revision: 1.3 $

Constructor Summary
`JdbmPreparedTransactionStore(jdbm.btree.BTree database)`

Method Summary
`ActiveMQXid[]` | `getXids()`
`void` | `loadPreparedTransactions(TransactionManager transactionManager)` Called on recovery to re-load any transactions which have prepared but not yet commited
`void` | `put(ActiveMQXid xid, Transaction transaction)`
`void` | `remove(ActiveMQXid xid)`
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbmPreparedTransactionStore

    public JdbmPreparedTransactionStore(jdbm.btree.BTree database)

Method Detail

### getXids

    public ActiveMQXid[] getXids()
                          throws XAException

  Specified by:
    `getXids` in interface `PreparedTransactionStore`
  Throws:
    `XAException`

### remove

    public void remove(ActiveMQXid xid)
                throws XAException

  Specified by:
    `remove` in interface `PreparedTransactionStore`
  Throws:
    `XAException`

### put

    public void put(ActiveMQXid xid,
                    Transaction transaction)
             throws XAException

  Specified by:
    `put` in interface `PreparedTransactionStore`
  Throws:
    `XAException`

### loadPreparedTransactions

    public void loadPreparedTransactions(TransactionManager transactionManager)
                                  throws XAException

  Description copied from interface: `PreparedTransactionStore`
  Called on recovery to re-load any transactions which have prepared but not yet commited

  Specified by:
    `loadPreparedTransactions` in interface `PreparedTransactionStore`
  Parameters:
    `transactionManager` -
  Throws:
    `XAException`

### start

    public void start()
               throws JMSException

  Description copied from interface: `Service`
  Called to start the service

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `Service`
  Called to shutdown the service

  Specified by:
    `stop` in interface `Service`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.